Bug 162362 - Element which is position:fixed disappears after opening a <select> menu
Summary: Element which is position:fixed disappears after opening a <select> menu
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: Other
Hardware: iPhone / iPad iOS 10
: P2 Critical
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 159753
  Show dependency treegraph
 
Reported: 2016-09-21 14:41 PDT by gsuchomski
Modified: 2019-02-25 12:15 PST (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gsuchomski 2016-09-21 14:41:14 PDT
Steps to Reproduce:
go to https://bootswatch.com/cerulean/
look out for the form and the select element
open the select and watch out fot the fixed navbar which disappears

Expected Results:
navbar should stay in top of the screen

Actual Results:
navbar disappears

Version:
iOS 10.0.1, Safari
Comment 1 Chris Rebert 2016-09-21 16:32:27 PDT
Moved from the Summary:

> In some cases the elements reappear after closing the helper and some cases the elements seem to be loosing their fixed position and stay on th
Comment 2 Chris Rebert 2016-09-21 16:35:30 PDT
Original Bootstrap issue: https://github.com/twbs/bootstrap/issues/20759
Comment 3 Chris Rebert 2016-09-21 16:36:01 PDT
<rdar://problem/28407863>
Comment 4 gsuchomski 2016-09-21 16:36:33 PDT
for a demo see
http://www.codeply.com/go/GjrVfpcyEv
scroll down to select and watch the navbar disappear on iOS Safari
you can see that the navbar is changing its appearance on mostly everytime selecting an input field
Comment 5 Simon Fraser (smfr) 2016-09-22 10:26:39 PDT
This is the usual problem where we disable position:fixed when a form element has focus. I'm hoping to improve this behavior soon.
Comment 6 gsuchomski 2016-09-23 03:13:19 PDT
Hi Simon,
it would be OK if the position:fixed is reapplied after closing the input helper 
but sometimes the position:fixed is not reapplied to the elements and therefore they stick to the relative positions of the page. In my case it destroys the whole navigation of the page.
My application is a SPA app and therefore contents of the page are changing while choosing an option of the select element via to iOS Safari input helper. Maybe this has something to do with this misbehaviour.
Comment 7 Simon Fraser (smfr) 2016-09-23 08:14:32 PDT
I think I may have fixed that via bug 150079. It did not make it into iOS 10 though.
Comment 8 Larry 2017-04-27 05:20:47 PDT Comment hidden (spam)
Comment 9 Simon Fraser (smfr) 2017-05-29 08:49:02 PDT
This may be fixed in iOS 10.3.